Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# ColorInterpolationSegment Class Reference

A single unit of interpolation. More...

List of all members.

## Public Member Functions
| ColorInterpolationSegment (ColorInterpolationFunction function, float time_begin, float time_end, bool is_modulated, int id)
| constructor
| ColorInterpolationSegment (ColorInterpolationSegment const s)
| copy constructor
TypedReferenceCount | getFunction ()
| Returns a reference to the function object corresponding to this segment.
int | getId ()
| Returns the id assigned to this segment by the manager that created it.
float | getTimeBegin ()
| Returns the point in the particle's lifetime at which this segment begins its effect.
float | getTimeEnd ()
| Returns the point in the particle's lifetime at which this segment's effect stops.
bool | isEnabled ()
| Returns whether the segments effects are being applied.
bool | isModulated ()
| Returns whether the function is additive or modulated.
| setEnabled (bool enabled)
| Sets whether the segments effects should be applied.
| setFunction (ColorInterpolationFunction function)
| Sets the function that the segment will use for its interpolation calculations.
| setIsModulated (bool flag)
| Sets how the function is applied to the final color.
| setTimeBegin (float time)
| Sets the point in the particle's lifetime at which this segment begins its effect.
| setTimeEnd (float time)
| Sets the point in the particle's lifetime at which this segment's effect ends.

## Detailed Description

A single unit of interpolation.

The begin and end times are interpolated over the lifetime of the particle, thus have the range of [0,1]. Each segment also has a function associated with it.

## Constructor & Destructor Documentation

ColorInterpolationSegment | ( | ColorInterpolationFunction | function,
|  | float | time_begin,
|  | float | time_end,
|  | bool | is_modulated,
|  | int | id
| ) |  |

constructor

ColorInterpolationSegment | ( | ColorInterpolationSegment const | s | ) |

copy constructor

## Member Function Documentation

TypedReferenceCount getFunction | ( |  | ) |

Returns a reference to the function object corresponding to this segment.

int getId | ( |  | ) |

Returns the id assigned to this segment by the manager that created it.

float getTimeBegin | ( |  | ) |

Returns the point in the particle's lifetime at which this segment begins its effect.

It is an interpolated value in the range [0,1].

float getTimeEnd | ( |  | ) |

Returns the point in the particle's lifetime at which this segment's effect stops.

It is an interpolated value in the range [0,1].

bool isEnabled | ( |  | ) |

Returns whether the segments effects are being applied.

bool isModulated | ( |  | ) |

Returns whether the function is additive or modulated.

setEnabled | ( | bool | enabled | ) |

Sets whether the segments effects should be applied.

setFunction | ( | ColorInterpolationFunction | function | ) |

Sets the function that the segment will use for its interpolation calculations.

setIsModulated | ( | bool | flag | ) |

Sets how the function is applied to the final color.

If true, the value is multiplied. If false, the value is simply added. Default is true.

setTimeBegin | ( | float | time | ) |

Sets the point in the particle's lifetime at which this segment begins its effect.

It is an interpolated value in the range [0,1].

setTimeEnd | ( | float | time | ) |

Sets the point in the particle's lifetime at which this segment's effect ends.

It is an interpolated value in the range [0,1].

All Classes Namespaces Functions Variables Enumerations Enumerator Properties